## Release: 7.2.2 (2015/09/20)

Solid round of bug fixes mainly, few added minor (and fully backwards compatible) features and focus on fixes for drag-and-drop
and copy-paste behavior on TYPO3 6.2. Some minor fixes for workspaces support.

Notable changes/features:

1. Template paths now use `0` as default index instead of previous `10`. This *can* have an adverse effect on sites that for some
   reason has one or more sets of templates which: **a)** are configured by replacing the default `10` index, AND, **b)** have
   removed one or more templates that exist in the original path. Such a setup *may begin to display previously disabled template
   files as selectable options in the backend*. To fix this, update your TypoScript template paths to use `0` as the bottom
   priority paths.
2. Icons now support SVG files. Not much to say about this one - use an `.svg` file as icon for a template, either through the
   `icon` Form option or by placing it in the convention-based expected icon path.
3. Form now supports `sorting` as a global option that can be used by any implementation; previously `fluidcontent` added its own
   but can now delegate this to Flux. This means that from now on you should define `options="{sorting: 10}"` instead of wrapping
   the sorting value in a scope like `{Fluidcontent: {sorting: 10}}`.
4. When rendering Requests and when retrieving Form instances from templates, Flux will now respect the `vendorName` request
   parameter - and will in fact pass-through the original Request (as a cloned instance) whenever an original Request exists.
   Though this change doesn't have any effect on the surface, it does improve frontend rendering scope consistency when rendering
   through a custom Flux controller.
5. TYPO3 7.4 is now supported.

* 2015-09-17 [BUGFIX] Record moving not triggered on TYPO3 7.5-dev (Commit 73eac6a by Claus Due)
* 2015-09-17 [FEATURE] Missing emptyOption argument for flux:field.select (Commit 1f395ed by monosize)
* 2015-09-17 [BUGFIX] Wrong generating of emptyOption item (Commit 22cccee by monosize)
* 2015-09-10 [BUGFIX] Hide child elements in list module to avoid destructive sortings (Commit c0864b4 by Alexander Bohndorf)
* 2015-09-08 [FEATURE] Added localization buttons for flux container elements in list view (Commit 7c67a55 by Alexander Bohndorf)
* 2015-09-08 [BUGFIX] Show hidden elements in db list if checkbox is enabled (Commit 737c4a9 by Alexander Bohndorf)
* 2015-09-17 [BUGFIX] Correct bad method signature and check caused by it (Commit 00e5824 by Claus Due)
* 2015-09-13 [FEATURE] Allow matchFields through ViewHelper API (Commit e4672a4 by Claus Due)
* 2015-09-13 [FEATURE] Allow matchFields on Relation components with MM (Commit 2437d01 by Claus Due)
* 2015-09-07 [BUGFIX] Only show one Icon for Flux-CEs in List-View if they don't have an own icon. (Commit ecc9fc7 by Alexander Bohndorf)
* 2015-09-12 Merge pull request #920 from cedricziel/BUGFIX-template-for-custom-provider-not-found (Commit c64eff5 by Claus Due)
* 2015-09-12 [BUGFIX] Template resolution for custom providers (Commit e850702 by Cedric Ziel)
* 2015-09-11 [BUGFIX] Avoid extension path resolving if extension not loaded (Commit cc1cc29 by Claus Due)
* 2015-09-11 [BUGFIX] Warning while copying a page (Commit 088bcce by monosize)
* 2015-09-10 [FEATURE] Transparent Request passthrough as clone (Commit c3d4939 by Claus Due)
* 2015-09-10 [BUGFIX] Allow vendor in Request to pass to custom Flux controllers (Commit 4b728c1 by Claus Due)
* 2015-09-04 [BUGFIX] Adapt to unannounced API change in TYPO3 (Commit 5b4bf94 by Claus Due)
* 2015-08-15 [BUGFIX] Recognise negative relative UID in ConfigurationManager (Commit b920849 by Claus Due)
* 2015-08-12 [BUGFIX] In web layout module the checkbox "Show hidden content elements" has no effect for flux grid columns. (Commit d287a5b by Frank Rakow)
* 2015-05-19 [BUGFIX] Workspace fix for editing of child elements (Commit 123d011 by thomasc-clio)
* 2015-08-04 [BUGFIX] Issue #573: move record up to top position (Commit bd4b46e by Alexander Bohndorf)
* 2015-08-07 [BUGFIX] Fix another instance of isset() to array_key_exists (Commit d35827c by Claus Due)
* 2015-08-07 [BUGFIX] Change isset() check falsely matching NULL (Commit 1c544f7 by Claus Due)
* 2015-08-04 [BUGFIX] Fix tx_flux_parent always equal to 1 when is translated (Commit e8f6835 by jmverges)
* 2015-08-04 [BUGFIX] Move record up to top position (Commit 7b12829 by Alexander Bohndorf)
* 2015-08-05 [BUGFIX] Avoid file_get_contents Exception (Commit 0351744 by jmverges)
* 2015-07-28 [BUGFIX] Fix relation problems with Save and New button (Commit e20471f by jmverges)
* 2015-07-28 [BUGFIX] Ensure ContentProvider triggers on every tt_content record (Commit bbe0a21 by Claus Due)
* 2015-07-28 [FEATURE] Adds createIcon function into MiscellaneousUtility (Commit 76751fa by jmverges)
* 2015-07-27 [BUGFIX] Added inheritance arguments (Commit 8028910 by jmverges)
* 2015-07-26 [BUGFIX] Disallow pasting element inside it self (endless loop) (Commit 3772556 by Xaver Maierhofer)
* 2015-07-26 [BUGFIX] Fix broken grid in preview (Commit 2ac737a by Xaver Maierhofer)
* 2015-07-24 [BUGFIX] Fix for icons in list view (Commit 3ee1bd8 by Juan Manuel Verges Solanas)
* 2015-07-24 [BUGFIX] Fix for icons in Preview for 6.2 LTS and master (Commit 3d7f480 by Juan Manuel Verges Solanas)
* 2015-07-24 [BUGFIX] Change from 10 to 0 for root paths (Commit 707e0c1 by Juan Manuel Verges Solanas)
* 2015-07-22 [BUGFIX] Fix drag and drop issues for current and 6.2 LTS (Commit 5ca6833 by Juan Manuel Verges Solanas)
* 2015-06-16 [BUGFIX] Return empty string instead of NULL (Commit c0a970f by Björn Fromme)
* 2015-06-11 [BUGFIX] Create new Sections off current container, not parent Form (Commit 824b1ea by Claus Due)
* 2015-06-03 [BUGFIX] Only attempt to render Preview section if template file exists (Commit 7d0993e by Claus Due)

Generated by:

```
git log --since="2015/05/19" --abbrev-commit --pretty='%ad %s (Commit %h by %an)' \
    --date=short | egrep '(\[FEATURE|BUGFIX|REMOVAL\])+'`
```

Full list of changes: https://github.com/FluidTYPO3/flux/compare/7.2.1...7.2.2

*Please note: the change list above does not contain any TASK commits since they are considered 
infrastructure-only and not relevant to end users. The full list includes these!*

